clc;clear all

load('measurement_t100.mat');
load('variance_t100.mat');
load('gain_t100.mat');

% plot measurement at time t=100
subplot(1,3,1)
imagesc(measurement);
colormap(gca,'gray');
xticklabels({}); yticklabels({});
colorbar;
title('Typical measurement');


subplot(1,3,2)
imagesc(variance);
colormap(gca,'gray');
xticklabels({}); yticklabels({});
colorbar;
title('Typical variance map');

% plot gain map at time t=100
subplot(1,3,3)
imagesc(gain);
colormap(gca,'gray');
xticklabels({}); yticklabels({});
colorbar;
title('Typical gain map');