est_x=csvread('est_x.csv');
real_x=csvread('real_x.csv');
axes
axis('square')
std1=sqrt(2*0.005*0.1);
time=1:1:100;
x_up=real_x+3*std1;
x_low=real_x-3*std1;
 
horizon_ForFill=[x_up,fliplr(x_low)];
vertical_ForFill=[time,fliplr(time)];
X1=[time,fliplr(time)];
X2=[x_low,fliplr(x_up)];
h1=plot(real_x, 'r-^');
hold on
h3=plot(est_x,'b-*');
hold on
set(0,'defaultTextInterpreter','latex')
fill(X1,X2,'k');
alpha(0.1);
ld=legend('true x position', 'smoothed estimated x position','3\sigma uncertainties');
xlabel('No. Time Step','Interpreter', 'latex');
ylabel('x position ($\mu$m)','Interpreter', 'latex');
xlim([1,100]);
ylim([-0.3, 0.45]);

