est_y=csvread('est_y.csv');
real_y=csvread('real_y.csv');
axes
axis('square')
std1=sqrt(2*0.005*0.1);
time=1:1:100;
y_up=real_y+3*std1;
y_low=real_y-3*std1;
 
horizon_ForFill=[y_up,fliplr(y_low)];
vertical_ForFill=[time,fliplr(time)];
X1=[time,fliplr(time)];
X2=[y_low,fliplr(y_up)];
h1=plot(real_y, 'r-^');
hold on
h3=plot(est_y,'b-*');
hold on
set(0,'defaultTextInterpreter','latex')
fill(X1,X2,'k');
alpha(0.1);
ld=legend('true y position', 'smoothed estimated y position','3\sigma uncertainties')
xlabel('No. Time Step','Interpreter', 'latex');
ylabel('y position ($\mu$m)','Interpreter', 'latex');
xlim([1,100]);
ylim([-0.6, 0.45]);
