%% example - boxplot of Est.Dx and Est.Dy by SMC100-EM

load('./SMC/Par100/Dx_par100.mat');
load('./SMC/Par100/Dy_par100.mat');
numIteration=10;
subplot(1,2,1)
h1a=boxplot(Dx)
h1b=refline(0,0.005);
set(0,'defaultTextInterpreter','latex')
set(gca,'fontSize',16);
xticklabels({'0','1','2','3','4','5','6','7','8','9','10'});
xlabel('No.EM Iteration');
ylabel('Est.Dx ($\mu m^2$/s)');

subplot(1,2,2)
h2a=boxplot(Dy)
h2b=refline(0,0.01);
set(0,'defaultTextInterpreter','latex')
set(gca,'fontSize',16);
xticklabels({'0','1','2','3','4','5','6','7','8','9','10'});
xlabel('No.EM Iteration');
ylabel('Est.Dy ($\mu m^2$/s)');
